## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: catatonit
Version: 0.2.1
Summary: A signal-forwarding process manager for containers
License: GPL-3.0-or-later
Release: %autorelease
%if %{defined copr_username}
# Set copr rpm build epoch to a very high value
Epoch: 101
%else
%if %{defined rhel}
# Bump epoch to 5 for RHEL
# Ref: https://bugzilla.redhat.com/show_bug.cgi?id=2257446
Epoch: 5
%endif
%endif
%if %{defined golang_arches_future}
ExclusiveArch: %{golang_arches_future}
%else
ExclusiveArch: aarch64 ppc64le s390x x86_64
%endif
URL: https://github.com/openSUSE/%{name}
# Tarball fetched from upstream
Source0: %{url}/archive/v%{version}.tar.gz
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: file
BuildRequires: libtool
Provides: podman-%{name} = %{version}-%{release}
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: glibc-static
BuildRequires: make

%description
Catatonit is a %{_sbindir}/init program for use within containers. It
forwards (almost) all signals to the spawned child, tears down
the container when the spawned child exits, and otherwise
cleans up other exited processes (zombies).

This is a reimplementation of other container init programs (such as
"tini" or "dumb-init"), but uses modern Linux facilities (such as
signalfd(2)) and has no additional features.

%prep
%autosetup -Sgit %{name}-%{version}

%build
./autogen.sh
%configure
CFLAGS="%{optflags} -fPIE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE"
%{__make} %{?_smp_mflags}

# Make sure we *always* build a static binary. Otherwise we'll break containers
# that don't have the necessary shared libs.
file ./%{name} | grep 'statically linked'
if [ $? != 0 ]; then
   echo "ERROR: %{name} binary must be statically linked!"
   exit 1
fi

%install
install -dp %{buildroot}%{_libexecdir}/%{name}
install -p %{name} %{buildroot}%{_libexecdir}/%{name}
install -dp %{buildroot}%{_libexecdir}/podman
ln -s %{_libexecdir}/%{name}/%{name} %{buildroot}%{_libexecdir}/podman/%{name}

%check

%files
%license COPYING
%doc README.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}

%changelog
## START: Generated by rpmautospec
* Mon Feb 10 2025 Lokesh Mandvekar <lsm5@fedoraproject.org> - 101:0.2.1-1
- bump to v0.2.1

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 101:0.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 101:0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 101:0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 101:0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 17 2024 Lokesh Mandvekar <lsm5@redhat.com> - 101:0.1.7-1
- Resolves: rhbz#2257446 - set Epoch consistently for all rhel

* Wed Jan 17 2024 Lokesh Mandvekar <lsm5@redhat.com> - 0.1.7-19
- simplify macros

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Apr 13 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-17
- set epoch 4 for centos on rhcontainerbot/qm copr

* Thu Apr 13 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-16
- include centos conditional for copr rhcontainerbot/qm

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-15
- migrated to SPDX license

* Thu Feb 09 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-14
- exclusivearch: golang_arches_future

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 07 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-12
- Revert "auto bump to v0.1.7"

* Fri Oct 07 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.1.7-11
- auto bump to v0.1.7

* Wed Oct 05 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-10
- remove debbuild macros to comply with Fedora guidelines

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-9
- use easier tag macros to make both fedora and debbuild happy

* Tue Aug 16 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-8
- Fix debbuild maintainer issue

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-6
- build deb packages using debbuild

* Mon Feb 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-5
- Provides: podman-catatonit

* Mon Feb 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-4
- switch to autospec

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.7-2
- do not expand AM_INIT_AUTOMAKE twice

* Mon Nov 01 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.1.7-1
- catatonit-0.1.7-1

* Thu Sep 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.1.6-1
- catatonit-0.1.6-1

* Fri Aug 20 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.5-9
- catatonit-0.1.5-6
- Fix broken upgrade path
- Related: https://github.com/coreos/fedora-coreos-config/pull/1174

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.5-8
- fix macros for autobuild

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 0.1.5-7
- catatonit-0.1.5-1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> - 0.1.5-3
- Add BuildRequires: make

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 29 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.5-1
- catatonit-0.1.5-2
## END: Generated by rpmautospec
